curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/admin/login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'{
"expires_at": 123,
"refresh_expires_at": 123,
"refresh_token": "<string>",
"success": true,
"token": "<string>",
"user": {
"account_id": "<string>",
"agent_id": "<string>",
"created_at": "<string>",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"last_login_at": "<string>",
"last_name": "<string>",
"name": "<string>",
"pep_access_authorized": true,
"phone_number": "<string>",
"role": "<string>",
"status": "<string>",
"user_type": "<string>"
}
}Authenticates an admin user or processor and returns a JWT token
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/admin/login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'{
"expires_at": 123,
"refresh_expires_at": 123,
"refresh_token": "<string>",
"success": true,
"token": "<string>",
"user": {
"account_id": "<string>",
"agent_id": "<string>",
"created_at": "<string>",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"last_login_at": "<string>",
"last_name": "<string>",
"name": "<string>",
"pep_access_authorized": true,
"phone_number": "<string>",
"role": "<string>",
"status": "<string>",
"user_type": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.